package com.xdf.creative.util.file;

import com.xdf.creative.enums.ServiceFileDirEnum;
import com.xdf.creative.enums.ServiceFileUploadDirEnum;

public class ServerUploadDirUtil {

    public static String getDirName(Integer dirType) {

        String dirName = "";

        if (ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_WEB.getCode().equals(dirType)) {

            dirName = ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_WEB.getName();

        } else if (ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_AUTH.getCode().equals(dirType)) {

            dirName = ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_AUTH.getName();

        } else if (ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_ADMIN.getCode().equals(dirType)) {

            dirName = ServiceFileUploadDirEnum.SERVICE_FILE_UPLOAD_DIR_ADMIN.getName();

        }
        return dirName;
    }

    public static String getFileUploadDir(Integer type) {
        String uploadDir = "";
        switch (type) {
            case 101:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_BANNER.getName();
                break;
            case 102:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_NOTICE.getName();
                break;
            case 103:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_DYNAMIC.getName();
                break;
            case 104:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_DIVISION.getName();
                break;
            case 105:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_PARK.getName();
                break;
            case 106:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_FINANCIAL.getName();
                break;
            case 107:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_ACTIVITY.getName();
                break;
            case 108:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_POLICY.getName();
                break;
            case 110:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_SUPPORT.getName();
                break;
            case 999:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_OTHER.getName();
                break;
            default: //可选
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_OTHER.getName();
        }
        return uploadDir;
    }
}
